# QwtRect Class Reference

List of all members.

## Detailed Description

Some extensions for QRect.

Definition at line 21 of file qwt_rect.h.

## Public Member Functions

| QwtRect ()
| QwtRect (const QRect &r)
QwtPolygon | clip (const QwtPolygon &) const

## Constructor & Destructor Documentation

QwtRect::QwtRect | ( |  | ) |

| Constructor. Definition at line 15 of file qwt_rect.cpp.

QwtRect::QwtRect | ( | const QRect & | r | ) |

| Copy constructor. Definition at line 21 of file qwt_rect.cpp.

## Member Function Documentation

QwtPolygon QwtRect::clip | ( | const QwtPolygon & |  | ) | const

| Sutherland-Hodgman polygon clipping. Definition at line 36 of file qwt_rect.cpp. Referenced by QwtPainter::clip().